org.apache.maven.script.ant

## Class AntMojoWrapper

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.maven.script.ant.AntMojoWrapper

All Implemented Interfaces:
  ContextEnabled, Mojo

    public class AntMojoWrapper
    extends AbstractMojo
    implements ContextEnabled

### Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AntMojoWrapper(AntScriptInvoker scriptInvoker)`

### Method Summary

Methods
`void` `addComponentRequirement(ComponentRequirement requirementDescriptor, java.lang.Object requirementValue)`
`void` `enableLogging(Logger logger)`
`void` `execute()` Perform whatever build-process behavior this `Mojo` implements.
`org.apache.tools.ant.Project` `getAntProject()`
`MavenProject` `getMavenProject()`
`MojoExecution` `getMojoExecution()`
`org.apache.tools.ant.types.Path` `getPathFromArtifacts(java.util.Collection artifacts, org.apache.tools.ant.Project antProject)`
`PathTranslator` `getPathTranslator()`
`java.util.Map` `getPluginContext()`
`AntScriptInvoker` `getScriptInvoker()`
`MavenSession` `getSession()`
`void` `setAntProject(org.apache.tools.ant.Project antProject)`
`void` `setComponentConfiguration(java.util.Map componentConfiguration)`
`void` `setMavenProject(MavenProject mavenProject)`
`void` `setMojoExecution(MojoExecution mojoExecution)`
`void` `setPathTranslator(PathTranslator pathTranslator)`
`void` `setPluginContext(java.util.Map pluginContext)` Set a new shared context `Map` to a mojo before executing it.
`void` `setSession(MavenSession session)`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, setLog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AntMojoWrapper

    public AntMojoWrapper(AntScriptInvoker scriptInvoker)

### Method Detail

#### execute

    public void execute()
                 throws MojoExecutionException

Description copied from interface: `Mojo`
Perform whatever build-process behavior this `Mojo` implements.
This is the main trigger for the `Mojo` inside the `Maven` system, and allows the `Mojo` to communicate errors.

Specified by:
  `execute` in interface `Mojo`
Throws:
  `MojoExecutionException` - if an unexpected problem occurs. Throwing this exception causes a "BUILD ERROR" message to be displayed.

#### setPluginContext

    public void setPluginContext(java.util.Map pluginContext)

Description copied from interface: `ContextEnabled`
Set a new shared context `Map` to a mojo before executing it.

Specified by:
  `setPluginContext` in interface `ContextEnabled`
Overrides:
  `setPluginContext` in class `AbstractMojo`
Parameters:
  `pluginContext` - a new `Map`
See Also:
  `ContextEnabled.setPluginContext(java.util.Map)`

#### getPluginContext

    public java.util.Map getPluginContext()

Specified by:
  `getPluginContext` in interface `ContextEnabled`
Overrides:
  `getPluginContext` in class `AbstractMojo`
Returns:
  a `Map` stored in the plugin container's context.
See Also:
  `ContextEnabled.getPluginContext()`

#### addComponentRequirement

    public void addComponentRequirement(ComponentRequirement requirementDescriptor,
                               java.lang.Object requirementValue)
                                 throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### setComponentConfiguration

    public void setComponentConfiguration(java.util.Map componentConfiguration)
                                   throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### getPathFromArtifacts

    public org.apache.tools.ant.types.Path getPathFromArtifacts(java.util.Collection artifacts,
                                                       org.apache.tools.ant.Project antProject)
                                                         throws DependencyResolutionRequiredException

Throws:
  `DependencyResolutionRequiredException`

#### getAntProject

    public org.apache.tools.ant.Project getAntProject()

#### setAntProject

    public void setAntProject(org.apache.tools.ant.Project antProject)

#### getMavenProject

    public MavenProject getMavenProject()

#### setMavenProject

    public void setMavenProject(MavenProject mavenProject)

#### getMojoExecution

    public MojoExecution getMojoExecution()

#### setMojoExecution

    public void setMojoExecution(MojoExecution mojoExecution)

#### getSession

    public MavenSession getSession()

#### setSession

    public void setSession(MavenSession session)

#### getPathTranslator

    public PathTranslator getPathTranslator()

#### setPathTranslator

    public void setPathTranslator(PathTranslator pathTranslator)

#### getScriptInvoker

    public AntScriptInvoker getScriptInvoker()

#### enableLogging

    public void enableLogging(Logger logger)